Subject: Bug#3414: gsftopk is missing

From: [email-masked]
Date: Sun, 7 Jul 96 11:43 EDT

I have been away for two weeks, so my two cents addition comes a little
belated ...

  David M Smith writes:
  David> The gsftopk program, which comes with the teTeX 0.3.3, is missing
  David> from both gs and texbin-3.1415-5.  It's non in the non-free gs
  David> either.
  David> 
  David> This program makes it possible to use postscript fonts with xdvi.

and several people added to this report (#3414) and the related one (#3415).

I have long been an advocate of gsftopk. While ps2pk allows to typeset
(La)TeX with ps fonts, it is limited as it works *if and only if* you have
the proprietary postscript fonts. On the other hand, gsftopk uses the free
ghostscript fonts which give reasonable result with gs and ghostview. Better
still, if you have access to a true postscript printer, the output is genuine
postscript. One can hence typeset (La)TeX with the 35 standard postscript
fonts. Using LaTeX2e, this is easy as a piece of cake. Just include, say,
\usepackage{avant} and a \textsf{some text} will use the (IMHO very pretty)
Avantgarde font.

gsftopk is a prime candidate for a new Debian package. I don't have time
right now to deal with this properly. It requires a patch to MakeTeXPK (see
below, and kudos to Matthew Swift for helping me with this) to let xdvi know
that a postscript font has been prepared so that xdvi can display it. We need
either to use dpkg diversions to move the standard MakeTeXPK out of the way.

edd@miles:~> diff -u /usr/bin/MakeTeXPK /usr/local/bin/MakeTeXPK
--- /usr/bin/MakeTeXPK  Tue Oct 10 09:53:45 1995
+++ /usr/local/bin/MakeTeXPK    Mon Mar 11 00:05:07 1996
@@ -26,7 +26,8 @@
 # be your psfonts.map file or some equivalent. The Makefile substitutes
 # for this, too. You can get gsftopk from
 # math.berkeley.edu:pub/Software/TeX/gsftopk.tar.Z.
-: ${gsftopk="ps2pk"}
+# edd: ${gsftopk="ps2pk"}
+gsftopk=gsftopk
 : ${MAPFILE=/usr/lib/texmf/dvips/psfonts.map}
 : ${MAPFILE2=/usr/lib/texmf/dvips/psfonts.add}
@@ -109,7 +110,7 @@
             *) cmd="$gsftopk $NAME $DPI"
                ;;
   esac
-  $cmd
+  $cmd >/dev/null
 else

--
Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd